Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 24 Oct 2014, 20:13
All times are UTC - 4
 Forum index » House Training » Bugs ( Submit bugs )
4.3 Beta 1 -- bugs and reports
Moderators: Flash, Ian, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 2 of 13 Posts_count   Goto page: Previous 1, 2, 3, 4, ..., 11, 12, 13 Next
Author Message
panzerpuppy

Joined: 02 Oct 2007
Posts: 632

PostPosted: Sat 15 Aug 2009, 03:32    Post_subject:  

Puppy 4.3 Bugs and nitpicks:

- If you open the Puppy Package Manager and click inside the empty box (Installed Packages) below,you are prompted to uninstall a non-existing package named "
You can select 'YES' and complete the uninstall (LOL)

- Puppy 4.3 beta is still using an old build of JWM - you can't resize windows from the top Sad

- Alsa Mixer and the other utilities are not updated (still at v1.0.16)

- Puppy 4.3 needs a cursor theme selector (as in 4.2)
Back to top
View user's profile Send_private_message 
panzerpuppy

Joined: 02 Oct 2007
Posts: 632

PostPosted: Sat 15 Aug 2009, 03:44    Post_subject:  

More feedback:

- The OSMO organiser included in 4.3beta1 is a bit old (0.2.0). The latest version is 0.2.6

- The Superpup wallpaper needs to go. The previous one was much better.

- GLightsOff is also a good candidate for removal - the game is not fun at all.

- 90% of the small (16x16) icons in the menus need a serious facelift. Most of them look archaic (4-color Windows 95 crap).
Back to top
View user's profile Send_private_message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Sat 15 Aug 2009, 06:08    Post_subject:  

was able to use libflashplayer-10.0.32.18.pet from here (this gives fullscreen youtube)
http://puppylinux.org/wikka/AdobeFlashPlayer Now if I can get Openoffice and xaraLX working, I will be happy . . .

My old SFS for xaraLX and OpenOffice are not showing up in the bootmanager. I seem to remember this is a known bug? I renamed them with OpenOffice310_JRE_lzma_423.sfs (for example) but they are not showing up in the bootmanager. is something amiss?

_________________
Puppy WIKI

Edited_time_total
Back to top
View user's profile Send_private_message Visit_website 
trio


Joined: 21 Dec 2008
Posts: 1805
Location: अनुमोदना

PostPosted: Sat 15 Aug 2009, 07:35    Post_subject:  

Mr Crustacean,

Yeah, you surely missed something, Barry did that on purpose. Read his blog entry, few entries back. Any incompatible SFS will be not be listed and won't be attempted to load

_________________
PET Maker|WbarCC
Back to top
View user's profile Send_private_message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Sat 15 Aug 2009, 08:43    Post_subject:  

Bum! Embarassed
just been informed, so not a bug

Quote:
A new SFS file needs to be created within 430, because 430 builds SFS files with version 4.0 of 'mksquashfs' and not version 3.3.

No SFS file built with version 3.3 of 'mksquashfs' will be usable with Puppy version 4.3 or higher.

_________________
Puppy WIKI
Back to top
View user's profile Send_private_message Visit_website 
GrumpyWolfe


Joined: 26 Nov 2006
Posts: 496

PostPosted: Sat 15 Aug 2009, 08:51    Post_subject: past sfs's
Sub_title: my saved files
 

Hi All
I was just about to say I have a bug then read the post about incompatible sfs's. But did not think that was going to affect the save files. At one time I think I remember puppylinux offering to upgrade a save file or something like that. If I was to rename it to the new name system would it then offer to convert it.

Just curies

_________________
Live and Let Live

Acer Aspire One N450 1.66GHz

MyWolfe at Sourceforge
MyWolfe Blog
MyWolfe Groups
Back to top
View user's profile Send_private_message Visit_website 
Sylvander

Joined: 15 Dec 2008
Posts: 3461
Location: West Lothian, Scotland, UK

PostPosted: Sat 15 Aug 2009, 10:07    Post_subject:  

1. Began installing packages:
fox-1.6.31
xfe-1.19.2
firefox-3.5
wine-1.0
htop-0.8.1
nmap-4.76
All OK up to here.

2. Tried to install:
(a) captura.pup
Was warned I needed to install:
dotpuphandler
puppybasic
Using the Puppy Package Manager.

(b) Could only find in "puppy-3->Setup":
dotpup_downloader-05d-mu

(c) Installed that, and it was reported there were no missing dependencies, but still any attempt to open captura.pup resulted in the same warning as 2a above.

3. How should I install pup files?
Back to top
View user's profile Send_private_message 
Fox7777


Joined: 27 May 2005
Posts: 132
Location: Lacey, WA

PostPosted: Sat 15 Aug 2009, 10:27    Post_subject: Re: 4.3 Beta bugs and reports  

Puppy Linux has so far been the Linux distro of choice on older or lower capacity computers because it is small and fast but the black screen of death when the power is suddenly interrupted, etc. has been a problem because of the support calls we get. We do need the black screen bugfix incorporated into future Puppy releases.
Edited_time_total
Back to top
View user's profile Send_private_message Visit_website 
8-bit


Joined: 03 Apr 2007
Posts: 3382
Location: Oregon

PostPosted: Sat 15 Aug 2009, 10:35    Post_subject:  

Sylander,

As a work around to install a pup package, use these steps.
(1) Make a new directory in /
(2) copy the pup package to that directory and rename with ext of zip
(3) Click on the renamed package and extract all files.
(4) Run the script file that is included.
(5) Delete the directory you created.
Run Refresh Menus or restart x to get menu entry if included.

Hope that helps.

Edited_time_total
Back to top
View user's profile Send_private_message 
Jim1911

Joined: 19 May 2008
Posts: 2457
Location: Texas, USA

PostPosted: Sat 15 Aug 2009, 10:42    Post_subject:
Sub_title: ext4 observations
 

1. 4.3 beta recognizes, mounts and can read/write to ext4 partitions.
2. Gparted 0.4.5 successfully resized a large ext3 partition and created an ext4 partition on the freed space.
3. A frugal installation on that ext4 partition results in a grub error which prevents it from running.

Other observations:
1. Tried unsuccessfully to install these .pets from the official repository. They appeared to install and were listed in the menu, but would not run due to many missing dependencies.
gnome-games-Lite_2.26.1-i486-uj
pidgin-2.4.1
gimp-2.6.6-i486-uj
gimp-2.4.0-rc3
2. Successfully installed:
gtk_theme_stardust_zigbert-0.5
galculator-1.3.1

Please consider for 4.3 and woof:
1. Updating initrd.gz so that a frugal installation will work on ext4.
2. Providing an option to create ext3 and ext4 pup_save files.

Edited_times_total
Back to top
View user's profile Send_private_message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Sat 15 Aug 2009, 10:43    Post_subject:  

Instead of using the unversal installer to create a Puppy USB flash drive (did not work first time) I decided to use the 'Bootflash Install', which seemed easier and worked first time.
So was able to boot straight into Puppy 4.3 Beta on my Asus netbook.
So that was good Cool
but could not connect to the net with WPA2 encryption (I think it is still not supported?)

_________________
Puppy WIKI
Back to top
View user's profile Send_private_message Visit_website 
gposil


Joined: 06 Apr 2009
Posts: 1305
Location: Stanthorpe (The Granite Belt), QLD, Australia

PostPosted: Sat 15 Aug 2009, 11:11    Post_subject: Re Grub and ext4  

From the ext4 wiki....

Quote:
Booting from an ext4 filesystem

Right now there's not a stable version of grub that supports booting a kernel from a ext4 partition. It's recommended that you keep /boot in a ext3 partition.

Preliminary ext4 support seems to have been added to the 1.97 version of the GRUB2 development branch.

There's also a Google Summer of Code project (from opensuse) which seem to have developed ext4 grub support. Both projects -GRUB2 and the GSoC projects- seem (sadly) to be different efforts.

The grub package in Ubuntu 9.04 and later includes a patch to support booting from ext4 filesystems


The ubuntu patch is still a bit hit and miss.

_________________
Dpup Home
Back to top
View user's profile Send_private_message Visit_website MSNM 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Sat 15 Aug 2009, 12:00    Post_subject: Grub Bootloader Config
Sub_title: no menu.lst
 

Grub bootloader config is not creating a menu.lst file. It does create /boot/grub in the partition I enter (dev/sda1) and all the "stages" are in there but no menu.lst. What I get is the Working, please wait for a much longer time than usual and then no menu.lst.

This is for a frugal install with advanced 2.29 kernel. It happens with both ext4 and ext2. I am using both vmware and virtualbox and it happens with both; it also happened with 4.3prebeta-reloaded.

It is difficult for me to test natively, so perhaps someone could do a frugal install with the advanced kernel and check for menu.lst after running Grub bootloader config--very likely this is a problem with the virtualizers... thanks
Back to top
View user's profile Send_private_message 
ttuuxxx


Joined: 05 May 2007
Posts: 10827
Location: Ontario Canada,Sydney Australia

PostPosted: Sat 15 Aug 2009, 12:01    Post_subject:  

Lobster wrote:
was able to use libflashplayer-10.0.32.18.pet from here (this gives fullscreen youtube)
http://puppylinux.org/wikka/AdobeFlashPlayer Now if I can get Openoffice and xaraLX working, I will be happy . . .

My old SFS for xaraLX and OpenOffice are not showing up in the bootmanager. I seem to remember this is a known bug? I renamed them with OpenOffice310_JRE_lzma_423.sfs (for example) but they are not showing up in the bootmanager. is something amiss?


Lobster just get unsquashfs from series 4 , while running this version, then drop the sfs on-top of the unsquashfs bin and it will extract in root, then rename the folder and make a new sfs.
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile
Back to top
View user's profile Send_private_message Visit_website 
playdayz


Joined: 25 Apr 2008
Posts: 3788

PostPosted: Sat 15 Aug 2009, 12:06    Post_subject: libshadowfb
Sub_title: could it be included?
 

would it be possible to include libshadowfb.so with the basic Puppy? It is included in xorg_xorg_full (for 4.2.1); it is necessary for the two virtualizers vmware and virtualbox to use their own video drivers. If it is present in /usr/X11R7/lib/xorg/modules then vmware works out of the box with its own vmware_drv (which is included in the basic Puppy). If it is not present then X will not start from xorgwizard because xorgwizard chooses the vmware_drv which will not start without libshadowfb.so. thanks
Edited_times_total
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 2 of 13 Posts_count   Goto page: Previous 1, 2, 3, 4, ..., 11, 12, 13 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » House Training » Bugs ( Submit bugs )
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0869s ][ Queries: 12 (0.0052s) ][ GZIP on ]